# Uses of Interface
org.apache.sling.installer.api.tasks.TaskResource

Packages that use TaskResource
Package
Description
org.apache.sling.installer.api.tasks

## Uses of TaskResource in org.apache.sling.installer.api.tasks

Methods in org.apache.sling.installer.api.tasks that return TaskResource
Modifier and Type
Method
Description
`@Nullable TaskResource`
TaskResourceGroup.`getActiveResource()`
Return the first resource if it either needs to be installed or uninstalled.
`@Nullable TaskResource`
TaskResourceGroup.`getNextActiveResource()`
If there is more than the active resource in the group, return the second resource from the group.
`TaskResource`
InstallTask.`getResource()`
Return the corresponding resource - depending on the task this might be null.
Methods in org.apache.sling.installer.api.tasks that return types with arguments of type TaskResource
Modifier and Type
Method
Description
`@Nullable Iterator<TaskResource>`
TaskResourceGroup.`getActiveResourceIterator()`
Return an iterator over all active resources in this group if there is more than just one active resourcew.